Index: src/test/Makefile.am
===================================================================
--- src/test/Makefile.am	(revision 1387)
+++ src/test/Makefile.am	(revision 1401)
@@ -17,5 +17,5 @@
 	dijkstra_test \
 	graph_test \
-	graph_wrapper_test \
+	graph_adaptor_test \
 	graph_utils_test \
 	kruskal_test \
@@ -50,5 +50,5 @@
 graph_test_SOURCES = graph_test.cc
 graph_utils_test_SOURCES = graph_utils_test.cc
-graph_wrapper_test_SOURCES = graph_wrapper_test.cc
+graph_adaptor_test_SOURCES = graph_adaptor_test.cc
 kruskal_test_SOURCES = kruskal_test.cc
 maps_test_SOURCES = maps_test.cc
Index: src/test/graph_adaptor_test.cc
===================================================================
--- src/test/graph_adaptor_test.cc	(revision 1401)
+++ src/test/graph_adaptor_test.cc	(revision 1401)
@@ -0,0 +1,75 @@
+/* -*- C++ -*-
+ * src/test/graph_adaptor_test.cc - Part of LEMON, a generic C++ optimization library
+ *
+ * Copyright (C) 2005 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
+ * (Egervary Research Group on Combinatorial Optimization, EGRES).
+ *
+ * Permission to use, modify and distribute this software is granted
+ * provided that this copyright notice appears in all copies. For
+ * precise terms see the accompanying LICENSE file.
+ *
+ * This software is provided "AS IS" with no warranty of any kind,
+ * express or implied, and with no claim as to its suitability for any
+ * purpose.
+ *
+ */
+
+#include<iostream>
+#include<lemon/concept_check.h>
+
+#include<lemon/smart_graph.h>
+#include<lemon/concept/graph.h>
+#include<lemon/concept/undir_graph.h>
+
+#include<lemon/list_graph.h>
+#include<lemon/full_graph.h>
+#include<lemon/graph_adaptor.h>
+
+#include"test/test_tools.h"
+#include"test/graph_test.h"
+
+/**
+\file
+This test makes consistency checks of graph adaptors.
+
+\todo More extensive tests are needed 
+*/
+
+using namespace lemon;
+using namespace lemon::concept;
+
+
+
+int main() 
+{
+  {
+    typedef StaticGraph Graph;
+    checkConcept<StaticGraph, GraphAdaptor<Graph> >();
+
+    checkConcept<StaticGraph, RevGraphAdaptor<Graph> >();
+
+    checkConcept<StaticGraph, SubGraphAdaptor<Graph, 
+      Graph::NodeMap<bool> , Graph::EdgeMap<bool> > >();
+    checkConcept<StaticGraph, NodeSubGraphAdaptor<Graph, 
+      Graph::NodeMap<bool> > >();
+    checkConcept<StaticGraph, EdgeSubGraphAdaptor<Graph, 
+      Graph::EdgeMap<bool> > >();
+    
+    checkConcept<StaticGraph, SubBidirGraphAdaptor<Graph, 
+      Graph::EdgeMap<bool>, Graph::EdgeMap<bool> > >();
+    //    checkConcept<StaticGraph, BidirGraph<Graph> >();
+    checkConcept<StaticGraph, ResGraphAdaptor<Graph, int, 
+      Graph::EdgeMap<int>, Graph::EdgeMap<int> > >();
+
+    checkConcept<StaticGraph, ErasingFirstGraphAdaptor<Graph, 
+      Graph::NodeMap<Graph::Edge> > >(); 
+
+    /// \bug why does not compile with StaticGraph
+    checkConcept<BaseIterableUndirGraphConcept, UndirGraphAdaptor<ListGraph> >();
+    checkConcept<IterableUndirGraphConcept, UndirGraphAdaptor<ListGraph> >();
+    checkConcept<MappableUndirGraphConcept, UndirGraphAdaptor<ListGraph> >();
+  }
+  std::cout << __FILE__ ": All tests passed.\n";
+
+  return 0;
+}
Index: src/test/graph_wrapper_test.cc
===================================================================
--- src/test/graph_wrapper_test.cc	(revision 1383)
+++ 	(revision )
@@ -1,75 +1,0 @@
-/* -*- C++ -*-
- * src/test/graph_wrapper_test.cc - Part of LEMON, a generic C++ optimization library
- *
- * Copyright (C) 2005 Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
- * (Egervary Research Group on Combinatorial Optimization, EGRES).
- *
- * Permission to use, modify and distribute this software is granted
- * provided that this copyright notice appears in all copies. For
- * precise terms see the accompanying LICENSE file.
- *
- * This software is provided "AS IS" with no warranty of any kind,
- * express or implied, and with no claim as to its suitability for any
- * purpose.
- *
- */
-
-#include<iostream>
-#include<lemon/concept_check.h>
-
-#include<lemon/smart_graph.h>
-#include<lemon/concept/graph.h>
-#include<lemon/concept/undir_graph.h>
-
-#include<lemon/list_graph.h>
-#include<lemon/full_graph.h>
-#include<lemon/graph_wrapper.h>
-
-#include"test/test_tools.h"
-#include"test/graph_test.h"
-
-/**
-\file
-This test makes consistency checks of graph wrappers.
-
-\todo More extensive tests are needed 
-*/
-
-using namespace lemon;
-using namespace lemon::concept;
-
-
-
-int main() 
-{
-  {
-    typedef StaticGraph Graph;
-    checkConcept<StaticGraph, GraphWrapper<Graph> >();
-
-    checkConcept<StaticGraph, RevGraphWrapper<Graph> >();
-
-    checkConcept<StaticGraph, SubGraphWrapper<Graph, 
-      Graph::NodeMap<bool> , Graph::EdgeMap<bool> > >();
-    checkConcept<StaticGraph, NodeSubGraphWrapper<Graph, 
-      Graph::NodeMap<bool> > >();
-    checkConcept<StaticGraph, EdgeSubGraphWrapper<Graph, 
-      Graph::EdgeMap<bool> > >();
-    
-    checkConcept<StaticGraph, SubBidirGraphWrapper<Graph, 
-      Graph::EdgeMap<bool>, Graph::EdgeMap<bool> > >();
-    //    checkConcept<StaticGraph, BidirGraph<Graph> >();
-    checkConcept<StaticGraph, ResGraphWrapper<Graph, int, 
-      Graph::EdgeMap<int>, Graph::EdgeMap<int> > >();
-
-    checkConcept<StaticGraph, ErasingFirstGraphWrapper<Graph, 
-      Graph::NodeMap<Graph::Edge> > >(); 
-
-    /// \bug why does not compile with StaticGraph
-    checkConcept<BaseIterableUndirGraphConcept, UndirGraphWrapper<ListGraph> >();
-    checkConcept<IterableUndirGraphConcept, UndirGraphWrapper<ListGraph> >();
-    checkConcept<MappableUndirGraphConcept, UndirGraphWrapper<ListGraph> >();
-  }
-  std::cout << __FILE__ ": All tests passed.\n";
-
-  return 0;
-}
